# Build a container image using kaniko
# VARIABLES:
#   DOCKERFILE_PATH: Path of the Dockerfile used to build the image
#   CONTEXT_PATH: Path of the directory where to build the image (useful to excete ADD or COPY)
#   IMAGE_NAME: Name of the container image to build and push
.kaniko-build:
  stage: build
  image:
    name: registry.gitlab.com/astrakhan.fr/cicd/container-images/cicd-toolbox
    entrypoint: [""]
  variables:
    DOCKERFILE_PATH: $CI_PROJECT_DIR/Dockerfile
    CONTEXT_PATH: $CI_PROJECT_DIR
    IMAGE_NAME: $CI_REGISTRY_IMAGE
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CONTEXT_PATH
        --cache=true 
        --dockerfile $DOCKERFILE_PATH 
        --destination $IMAGE_NAME

